# abstract CairoPattern(CFFIPointer)

#### package lime.graphics.cairo

#### from CFFIPointer to CFFIPointer

Available on all platforms

### Constructor

###

`new (handle:CFFIPointer)`

### Variables

###

`read onlycolorStopCount:Int`

###

`extend:CairoExtend`

###

`filter:CairoFilter`

###

`matrix:Matrix3`

### Methods

###

`addColorStopRGB (offset:Float, r:Float, g:Float, b:Float):Void`

###

`addColorStopRGBA (offset:Float, r:Float, g:Float, b:Float, a:Float):Void`

### Static methods

###

`staticcreateForSurface (surface:CairoSurface):CairoPattern`

###

`staticcreateLinear (x0:Float, y0:Float, x1:Float, y1:Float):CairoPattern`

###

`staticcreateRGB (r:Float, g:Float, b:Float):CairoPattern`

###

`staticcreateRGBA (r:Float, g:Float, b:Float, a:Float):CairoPattern`

###

`staticcreateRadial (cx0:Float, cy0:Float, radius0:Float, cx1:Float, cy1:Float, radius1:Float):CairoPattern`